#WEBI_PKG=
#WEBI_HOST=https://webinstall.dev
+export WEBI_HOST
mkdir -p "$HOME/.local/bin"
export WEBI_UA="\$(uname -a)"
my_installer_url="\$WEBI_HOST/api/installers/\$my_package.bash?formats=\$my_ext"
+set +e
if [ -n "\$WEBI_CURL" ]; then
curl -fsSL "\$my_installer_url" -H "User-Agent: curl \$WEBI_UA" \\
-o "\$WEBI_BOOT/\$my_package-bootstrap.sh"
wget -q "\$my_installer_url" --user-agent="wget \$WEBI_UA" \\
-O "\$WEBI_BOOT/\$my_package-bootstrap.sh"
fi
+if ! [ \$? -eq 0 ]; then
+ echo "error fetching '\$my_installer_url'"
+ exit 1
+fi
+set -e
pushd "\$WEBI_BOOT" 2>&1 > /dev/null
bash "\$my_package-bootstrap.sh"
#WEBI_EXT=
#WEBI_PKG_URL=
#WEBI_PKG_FILE=
+export WEBI_HOST
##
## Set up tmp, download, and install directories
if [ -n "$WEBI_WGET" ]; then
# wget has resumable downloads
# TODO wget -c --content-disposition "$my_url"
+ set +e
wget -q --show-progress -c "$my_url" --user-agent="wget $WEBI_UA" -O "$my_dl"
+ if ! [ $? -eq 0 ]; then
+ echo "failed to download from $WEBI_PKG_URL"
+ exit 1
+ fi
+ set -e
else
# BSD curl is non-resumable, hence we don't bother
# TODO curl -fsSL --remote-name --remote-header-name --write-out "$my_url"